"use strict";
let url1="https://transport.data.gouv.fr/gbfs/nancy/station_information.json";
let url2="https://transport.data.gouv.fr/gbfs/nancy/station_status.json";

// Le code pour charger les fichiers JSON pointés par ces deux URL:
function remplirstation(){
// Le code pour charger les fichiers JSON pointés par ces deux URL:
  fetch(url1)
	  .then(response => response.json())
	  .then((data1) => {
	// c'est ici que vous accédez aux informations données par les deux JSON
	
	// data 1: objet contenant les informations de url1

	// Exemple d'affichage dans la console:
	console.log(data1.data.stations[0]);
	for (let i = 0; i < data1.data.stations.length; i++) {
		document.getElementById("station").innerHTML += "<option value =" + data1.data.stations[i].station_id +">" + data1.data.stations[i].name + "</option>";
	}
	});	
}


function station(){
// Le code pour charger les fichiers JSON pointés par ces deux URL:
Promise.all([
  fetch(url1).then(response => response.json()),
  fetch(url2).then(response => response.json())
]).then((data) => {
	// c'est ici que vous accédez aux informations données par les deux JSON
	
	// data 1: objet contenant les informations de url1
	let data1=data[0];
	// data 2: objet contenant les informations de url2
	let data2=data[1];

	// Exemple d'affichage dans la console:
	console.log(data1.data.stations[0]);
	console.log(data2.data.stations[0]);
	
	let resultat = "";
	let nbplace = 0;
	let capacité2= 0;
	let station = parseInt(document.getElementById("station").value);
	for (let i = 0; i < data1.data.stations.length; i++) {
		if (data1.data.stations[i].station_id == station && data2.data.stations[i].station_id == station ) {
			resultat += data1.data.stations[i].name + "<br>";
			resultat += "Nombre de vélos disponibles à cette station : " + data2.data.stations[i].num_bikes_available + "<br>";
			resultat += "Nombre de places disponibles à cette station : " + data2.data.stations[i].num_docks_available + "<br>";
			for (let j = 0; j < data2.data.stations.length; j++) {
				nbplace += data2.data.stations[j].num_bikes_available;
			}
			
			for (let k=0;k<data2.data.stations.length; k++){
			capacité2 +=data2.data.stations[k].num_docks_available;
			}
			
			resultat +="<h2>Informations générales sur les stations Vélolib de Nancy</h2>";
			resultat += "Nombre de vélos disponibles à Nancy : " + nbplace + "<br>";
			resultat +="Nombre de places disponibles dans la totalité des stations de Nancy : " + capacité2 + "<br>";
			document.getElementById("remplir").innerHTML=resultat;
		} 
	}
let maj= convertStampDate(data2.last_updated);
	document.getElementById("maj").innerHTML = maj;	

	});	
}

function convertStampDate(unixtimestamp){
		// Cette fonction permet de convertir un "timestamp" 
		// (voir l'attribut correspondant dans les fichiers JSON)
		// en une chaîne de caractères lisible 

		var months_arr = ['Janvier','Février','Mars','Avril','Mai','Juin','Juillet','Août','Septembre','Octobre','Novembre','Décembre'];
		// Convert timestamp to milliseconds:
		var date = new Date(unixtimestamp*1000);
		// Year:
		var year = date.getFullYear();
		// Month:
		var month = months_arr[date.getMonth()];
		// Day:
		var day = date.getDate();
		// Hours:
		var hours = date.getHours();
		// Minutes:
		var minutes = "0" + date.getMinutes();
		// Seconds:
		var seconds = "0" + date.getSeconds();
		// String for displaying date and time in dd-MM-yyyy h:m:s format:
		var fulldate = day+' '+month+' '+year+' - '+hours + ':' + minutes.substr(-2) + ':' + seconds.substr(-2);

		return fulldate;
	}	

